: Reshuffle existing deck

API: deckofcardsapi.com:deck-of-cards
Endpoint: /deck/{deck_id}/shuffle/
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 614ms

Description

Returns confirmation that the deck was shuffled along with the remaining card count. Use this to reshuffle a partially used deck back into random order.

From spec: Reshuffles an existing deck. Can shuffle only remaining cards by adding ?remaining=true

Usage Tips

- Optional query parameter `remaining=true` to only reshuffle remaining cards (not drawn ones) - Returns 404 if deck_id doesn't exist - This modifies the deck state - drawn cards are not restored unless remaining=false

Parameters (2)

deck_id (string, path, required)

The deck ID returned from creating a deck

remaining (boolean, query, optional)

If true, only shuffles remaining cards in deck

Examples (1)

Reshuffle remaining cards in a deck probe-gate

Demonstrates reshuffling only the remaining (undrawn) cards in a partially used deck

curl 'https://deckofcardsapi.com/api/deck/wa025949x0ez/shuffle/?remaining=true'
import requests

resp = requests.get(
    "https://deckofcardsapi.com/api/deck/wa025949x0ez/shuffle/",
    params={
        'remaining': 'true',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("deckofcardsapi")
result = api.fetch("deck/{deck_id}/shuffle/", remaining="true")

for item in result:
    print(item)
const resp = await fetch("https://deckofcardsapi.com/api/deck/wa025949x0ez/shuffle/?remaining=true");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:53:01.943471 200 614ms
2026-04-15 02:36:58.151154 200 521ms
2026-04-14 00:23:12.979504 200 759ms
2026-04-12 12:53:38.466747 200 244ms
2026-04-10 03:17:15.626328 200 499ms
2026-04-09 03:20:43.782771 200 248ms